## artikulate 4.13.0

=== CMakeLists.txt ===
###
#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

project(artikulate)

set ( CMAKE_MODULE_PATH
     ${CMAKE_SOURCE_DIR}/cmake/modules
     ${CMAKE_MODULE_PATH}
)

find_package(KDE4 4.11.1 REQUIRED)
include(KDE4Defaults)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${QT4_INCLUDES})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -fexceptions)

# subdirectories to build
add_subdirectory(data)
add_subdirectory(schemes)
add_subdirectory(doc)
add_subdirectory(src)
add_subdirectory(sounds)
add_subdirectory(images)
add_subdirectory(icons)

add_subdirectory(liblearnerprofile)

# Build Tests if KDE_TEST is on
if(KDE4_BUILD_TESTS)
    enable_testing()
    add_subdirectory(autotests)
endif(KDE4_BUILD_TESTS)

# files to install in the artikulate project root directory
install( PROGRAMS artikulate.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )

macro_display_feature_log()

=== schemes/CMakeLists.txt ===
###
#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

FILE(GLOB schemes *.xsd)
install(FILES ${schemes} DESTINATION ${DATA_INSTALL_DIR}/artikulate/schemes)

=== src/CMakeLists.txt ===
###
#  Copyright 2013-2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###
set(ARTIKULATE_VERSION_MAJOR 0)
set(ARTIKULATE_VERSION_MINOR 3)
set(ARTIKULATE_VERSION_PATCH 0)

find_package(KDeclarative REQUIRED)
find_package(QtMobility COMPONENTS MultimediaKit QUIET)
find_package(QtGStreamer QUIET)

# print information about built recording backends
message("----------------------------------")
message("Building following recording backends:")
if (QTGSTREAMER_FOUND)
    message("  * QtGStreamer recording backend")
endif(QTGSTREAMER_FOUND)
if (QTMOBILITY_FOUND)
    message("  * QtMultimedia recording backend (default)")
endif(QTMOBILITY_FOUND)
if (NOT QTGSTREAMER_FOUND AND NOT QTMOBILITY_FOUND)
    message(FATAL_ERROR "No recording backend built: either QtGStreamer or QtMultimedia are required.")
endif()
message("----------------------------------")

# set config files after packages are searched
configure_file("${artikulate_SOURCE_DIR}/version.h.cmake" "${artikulate_BINARY_DIR}/version.h" @ONLY)
configure_file("${artikulate_SOURCE_DIR}/config.h.cmake" "${artikulate_BINARY_DIR}/config.h" @ONLY)


add_subdirectory(qml)

# set include directories
include_directories(
    ${QT_INCLUDE}
    ${KDE4_INCLUDES}
    ${CMAKE_CURRENT_BINARY_DIR}
)

# set the source code files from which Artikulate is compiled
set(artikulateCore_SRCS
    core/course.cpp
    core/resourcemanager.cpp
    core/language.cpp
    core/phrase.cpp
    core/phoneme.cpp
    core/phonemegroup.cpp
    core/unit.cpp
    core/profile.cpp
    core/skeleton.cpp
    core/trainingsession.cpp
    core/capturedevicecontroller.cpp
    core/outputdevicecontroller.cpp
    core/resources/resourceinterface.cpp
    core/resources/languageresource.cpp
    core/resources/courseresource.cpp
    core/resources/skeletonresource.cpp
    core/player.cpp
    core/recorder.cpp
    core/soundbackends/soundbackendinterface.cpp
    ui/newcoursedialog.cpp
)

set(
    artikulateCoreTargetLibs
    ${KDECLARATIVE_LIBRARIES}
    ${KDE4_KIO_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${QT_QTXMLPATTERNS_LIBRARY}
    ${QT_QTSQL_LIBRARY}
    ${PHONON_LIBS}
)

set(
    artikulateTargetLibs
    artikulatecore
    artikulatelearnerprofile
    ${KDECLARATIVE_LIBRARIES}
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${KDE4_KNEWSTUFF3_LIBS}
)

# select backend and add files
if (QTMOBILITY_FOUND)
    include_directories(
        ${QTMOBILITY_INCLUDE_DIR}
        ${QTMOBILITY_MULTIMEDIAKIT_INCLUDE_DIR}
    )
    set(artikulateCore_SRCS
        ${artikulateCore_SRCS}
        core/soundbackends/qtmultimediabackend.cpp
    )
    set(artikulateCoreTargetLibs
        ${artikulateCoreTargetLibs}
        ${QTMOBILITY_MULTIMEDIAKIT_LIBRARY}
    )
    set(artikulateeTargetLibs
        ${artikulateTargetLibs}
        ${QTMOBILITY_MULTIMEDIAKIT_LIBRARY}
    )
endif(QTMOBILITY_FOUND)

if(QTGSTREAMER_FOUND)
    include_directories(
        ${QTGSTREAMER_INCLUDE_DIR}
    )
    set(artikulateCore_SRCS
        ${artikulateCore_SRCS}
        core/soundbackends/qtgstreamerbackend.cpp
    )
    set(artikulateCoreTargetLibs
        ${artikulateCoreTargetLibs}
        ${QTGLIB_LIBRARIES}
        ${QTGSTREAMER_LIBRARIES}
    )
    set(artikulateeTargetLibs
        ${artikulateTargetLibs}
        ${QTGLIB_LIBRARIES}
        ${QTGSTREAMER_LIBRARIES}
    )
endif(QTGSTREAMER_FOUND)

# compile UI files
kde4_add_ui_files(artikulateCore_SRCS
    ui/newcoursedialog.ui
)
kde4_add_kcfg_files(artikulateCore_SRCS settings.kcfgc)
kde4_add_library(artikulatecore SHARED ${artikulateCore_SRCS})
target_link_libraries(artikulatecore
    LINK_PRIVATE
        artikulatelearnerprofile
        ${artikulateCoreTargetLibs}
)
set_target_properties(
    artikulatecore
    PROPERTIES
        VERSION ${GENERIC_LIB_VERSION}
        SOVERSION ${GENERIC_LIB_SOVERSION}
)
install(
    TARGETS artikulatecore
    DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS}
)
install( FILES artikulate.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

# set the source code files from which Artikulate is compiled
set(artikulate_SRCS
    main.cpp
    mainwindow.cpp
    application.cpp

    models/coursemodel.cpp
    models/coursefiltermodel.cpp
    models/languagemodel.cpp
    models/languageresourcemodel.cpp
    models/learningprogressmodel.cpp
    models/unitmodel.cpp
    models/unitfiltermodel.cpp
    models/phrasemodel.cpp
    models/phrasefiltermodel.cpp
    models/phonememodel.cpp
    models/phonemegroupmodel.cpp
    models/phonemeunitmodel.cpp
    models/profilemodel.cpp
    models/skeletonmodel.cpp

    ui/sounddevicedialogpage.cpp
    ui/appearencedialogpage.cpp
    ui/resourcesdialogpage.cpp

    declarativeitems/applicationbackground.cpp
)
kde4_add_ui_files(artikulate_SRCS
    ui/resourcesdialogpage.ui
    ui/sounddevicedialogpage.ui
    ui/appearencedialogpage.ui
)
kde4_add_kcfg_files(artikulate_SRCS settings.kcfgc)
kde4_add_executable(artikulate ${artikulate_SRCS})
target_link_libraries(artikulate
    LINK_PRIVATE
        artikulatelearnerprofile
        ${artikulateTargetLibs}
)

install(FILES artikulate.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS artikulate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES artikulateui.rc DESTINATION  ${DATA_INSTALL_DIR})

=== src/qml/CMakeLists.txt ===
###
#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

set(artikulate_qml_files
    Main.qml
    Editor.qml
    Trainer.qml

    TrainerOverviewScreen.qml
    TrainerCourse.qml
    TrainerSessionScreen.qml
    TrainerProgressBar.qml
    TrainerCourseStatistics.qml

    EditorSelector.qml

    CourseSelector.qml
    CourseSwitcher.qml
    LanguageSelector.qml
    LanguageSwitcher.qml
    UnitSelector.qml
    UnitEditor.qml
    PhraseEditor.qml
    PhraseEditorSoundComponent.qml
    PhraseEditorTypeComponent.qml
    PhraseEditorEditStateComponent.qml
    PhonemeUnitSelector.qml
    ProfileDetailsItem.qml
    ProfileDetailsViewUser.qml
    ProfileDetailsViewFavorites.qml
    ProfileSelector.qml
    SkeletonSelector.qml
    SoundPlayer.qml
    SoundRecorder.qml

    CheckListItem.qml
    ListItem.qml
    SheetDialog.qml
)

install(FILES ${artikulate_qml_files} DESTINATION ${DATA_INSTALL_DIR}/artikulate/qml)

=== debian/changelog ===
artikulate (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:32:21 +0100

artikulate (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:03:53 +0200

artikulate (4:4.12.95-0ubuntu1) trusty; urgency=medium

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Drop upstream_add-library-versions.diff, applied upstream

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 11:51:01 +0100

artikulate (4:4.12.90-0ubuntu1) trusty; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Use dhmk 
  * Move the libraries from artikulate-dev to artikulate as the libs are not
    just dev symlinks and drop artikulate-dev as it's now empty
  * Add da9a92aca3a7af07feb8bde506129fb9314f9e60 as
    upstream_add-library-versions.diff so the libraries are properly versioned
  * Override package-name-doesnt-match-sonames for artikulate as the libs are
    private

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:29:51 +0000

artikulate (0.2.0-0ubuntu1) trusty; urgency=medium

  * New upstream release
    - Update install files
    - Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 12 Mar 2014 11:37:03 +0100

artikulate (0.1.0-0ubuntu1) trusty; urgency=low

  * Initial release. (LP: #1208021) 

 -- Howard Chan <smartboyhw@gmail.com>  Sat, 03 Aug 2013 23:47:00 +0800

=== debian/control ===
Source: artikulate
Section: education
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Howard Chan <smartboyhw@gmail.com>
Build-Depends: debhelper (>= 9), cmake, kde-sc-dev-latest, pkg-kde-tools,
               kdelibs5-dev (>= 4:4.13.0), qtmobility-dev, libqtmultimediakit1
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/edu/artikulate

Package: artikulate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 qtdeclarative4-kqtquickcharts-1 (>= 4:4.12.90)
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

Package: artikulate-dbg
Section: debug
Architecture: any
Depends: artikulate, ${misc:Depends}
Description: Debugging symbols for Artikulate
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages.This is included in the
 KDE Education project.
 .
 This package contains the debugging symbols for Artikulate.

## artikulate 4.13.2

=== debian/changelog ===
artikulate (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:37:50 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Howard Chan <smartboyhw@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, kde-sc-dev-latest, pkg-kde-tools,
-               kdelibs5-dev (>= 4:4.13.0), qtmobility-dev, libqtmultimediakit1
+               kdelibs5-dev (>= 4:4.13.2), qtmobility-dev, libqtmultimediakit1
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/edu/artikulate

## artikulate 4.13.3

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR artikulate)

=== icons/CMakeLists.txt ===
###
#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

add_subdirectory(actions)

kde4_install_icons(${ICON_INSTALL_DIR})
kde4_update_iconcache()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 ###
 set(ARTIKULATE_VERSION_MAJOR 0)
 set(ARTIKULATE_VERSION_MINOR 3)
-set(ARTIKULATE_VERSION_PATCH 0)
+set(ARTIKULATE_VERSION_PATCH 2)
 
 find_package(KDeclarative REQUIRED)
 find_package(QtMobility COMPONENTS MultimediaKit QUIET)

=== icons/actions/CMakeLists.txt ===
###
#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

kde4_install_icons(${DATA_INSTALL_DIR}/artikulate/icons)
kde4_update_iconcache()

=== liblearnerprofile/src/CMakeLists.txt ===
###
# Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

set(learnerprofile_LIB_SRCS
    learner.cpp
    learninggoal.cpp
    profilemanager.cpp
    storage.cpp

    models/learninggoalmodel.cpp
)

kde4_add_library(artikulatelearnerprofile SHARED ${learnerprofile_LIB_SRCS})

target_link_libraries(
    artikulatelearnerprofile
    LINK_PRIVATE
        ${KDE4_KDECORE_LIBS}
        ${KDE4_KFILE_LIBS}
        ${QT_QTSQL_LIBRARY}
)

set_target_properties(
    artikulatelearnerprofile
    PROPERTIES
        VERSION ${GENERIC_LIB_VERSION}
        SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(
    TARGETS artikulatelearnerprofile
    ${INSTALL_TARGETS_DEFAULT_ARGS}
)

=== debian/changelog ===
artikulate (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:18:31 +0200

artikulate (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)
    - add application icons to install file

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:44:50 +0200

artikulate (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:47:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Howard Chan <smartboyhw@gmail.com>
 Build-Depends: debhelper (>= 9), cmake, kde-sc-dev-latest, pkg-kde-tools,
-               kdelibs5-dev (>= 4:4.13.2), qtmobility-dev, libqtmultimediakit1
+               kdelibs5-dev (>= 4:4.13.3), qtmobility-dev, libqtmultimediakit1
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/edu/artikulate

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=artikulate-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/artikulate/([\d\.].+)/src artikulate-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## artikulate 14.12.2

=== debian/changelog ===
artikulate (4:14.12.2-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ José Manuel Santamaría Lema ]
  * Bump build depend on libqtgstreamer-dev to 1.2.0

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:53:09 -0800

artikulate (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:20:52 +0100

artikulate (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate
    - build-depend on extra-cmake-modules
    - add new files to artikulate.install, docs and not-installed
    - update artikulate.lintian-overrides for an added file
  * Import Packaging into Debian Git
  * PPA build

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 28 Nov 2014 19:53:37 +0100

artikulate (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 02:29:46 -0700

artikulate (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:25:22 +0200

artikulate (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:01:55 +0200

artikulate (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:19:14 +0200

artikulate (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Add libqtgstreamer-dev as a build depend

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 10:23:53 -0700

=== debian/control ===
Source: artikulate
Section: education
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kde-sc-dev-latest,
               kdelibs5-dev,
               libqtgstreamer-dev (>= 1.2.0),
               libqtmultimediakit1,
               pkg-kde-tools,
               qtmobility-dev
Standards-Version: 3.9.4
Homepage: https://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/artikulate.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/artikulate.git

Package: artikulate
Architecture: any
Depends: qtdeclarative4-kqtquickcharts-1 (>= 4:4.12.90),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

Package: artikulate-dbg
Section: debug
Architecture: any
Depends: artikulate, ${misc:Depends}
Description: Debugging symbols for Artikulate
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages.This is included in the
 KDE Education project.
 .
 This package contains the debugging symbols for Artikulate.

=== debian/watch ===
version=3
http://download.kde.org/unstable/applications/([\d\.].+)/src artikulate-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
http://download.kde.org/stable/applications/([\d\.].+)/src artikulate-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## artikulate 15.08.2

=== debian/changelog ===
artikulate (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 11:46:54 +0100

artikulate (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:03:51 +0100

artikulate (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 26 Aug 2015 16:54:06 +0100

artikulate (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 18:19:59 +0200

artikulate (4:14.12.3-0ubuntu1) UNRELEASED; urgency=medium

  * Add back in kdelibs5 parent version depend. 
  * kdelibs is actually in the 4.14 series. Adjust version. 
  * New upstream release. 
  * Fix version..

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 20 Feb 2015 11:03:44 -0800

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
                debhelper (>= 9),
                extra-cmake-modules,
                kde-sc-dev-latest,
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14),
                libqtgstreamer-dev (>= 1.2.0),
                libqtmultimediakit1,
                pkg-kde-tools,
                qtmobility-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://edu.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/artikulate.git/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/artikulate.git

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/artikulate-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/artikulate-([\d.]+).tar.xz

## artikulate 15.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ###
-#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
+#  Copyright 2013-2015  Andreas Cord-Landwehr <cordlandwehr@kde.org>
 #
 #  Redistribution and use in source and binary forms, with or without
 #  modification, are permitted provided that the following conditions
@@ -25,35 +25,63 @@
 
 project(artikulate)
 
-set ( CMAKE_MODULE_PATH
-     ${CMAKE_SOURCE_DIR}/cmake/modules
-     ${CMAKE_MODULE_PATH}
+cmake_minimum_required(VERSION 3.0.0)
+if (POLICY CMP0063)
+    cmake_policy(SET CMP0063 NEW)
+endif()
+
+find_package(ECM 5.13.0 REQUIRED NO_MODULE)
+find_package(KF5DocTools)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+
+include(KDEInstallDirs)
+include(ECMAddTests)
+include(KDECMakeSettings)
+include(KDECompilerSettings)
+include(ECMInstallIcons)
+include(ECMOptionalAddSubdirectory)
+include(ECMSetupVersion)
+include(FeatureSummary)
+include(GenerateExportHeader)
+
+find_package(Qt5 5.5 REQUIRED COMPONENTS
+    Widgets
+    Sql
+    XmlPatterns
+    Qml
+    Quick
+    QuickWidgets
+    Test
+)
+find_package(KF5 REQUIRED COMPONENTS
+    Config
+    ConfigWidgets
+    Crash
+    Declarative
+    I18n
+    NewStuff
+    WidgetsAddons
+    XmlGui
 )
 
-find_package(KDE4 4.11.1 REQUIRED)
-include(KDE4Defaults)
-
-include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES} ${QT4_INCLUDES})
-add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS -fexceptions)
+add_definitions(
+    -DQT_NO_URL_CAST_FROM_STRING
+)
 
 # subdirectories to build
-add_subdirectory(data)
-add_subdirectory(schemes)
-add_subdirectory(doc)
-add_subdirectory(src)
-add_subdirectory(sounds)
-add_subdirectory(images)
-add_subdirectory(icons)
-
-add_subdirectory(liblearnerprofile)
-
-# Build Tests if KDE_TEST is on
-if(KDE4_BUILD_TESTS)
-    enable_testing()
-    add_subdirectory(autotests)
-endif(KDE4_BUILD_TESTS)
+ecm_optional_add_subdirectory(data)
+ecm_optional_add_subdirectory(schemes)
+ecm_optional_add_subdirectory(doc)
+ecm_optional_add_subdirectory(src)
+ecm_optional_add_subdirectory(sounds)
+ecm_optional_add_subdirectory(images)
+ecm_optional_add_subdirectory(icons)
+ecm_optional_add_subdirectory(libsound)
+ecm_optional_add_subdirectory(liblearnerprofile)
+ecm_optional_add_subdirectory(autotests)
 
 # files to install in the artikulate project root directory
-install( PROGRAMS artikulate.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
+install(PROGRAMS org.kde.artikulate.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(FILES org.kde.artikulate.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
 
-macro_display_feature_log()
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
###
#  Copyright 2013-2015  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
#  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
#  OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
#  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
#  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
#  NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
#  THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

ecm_setup_version(0.6.0
    VARIABLE_PREFIX ARTIKULATE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/ArtikulateConfigVersion.cmake"
)

ecm_optional_add_subdirectory(qml)

# set include directories
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${artikulate_SOURCE_DIR}
)

# set the source code files from which Artikulate is compiled
set(artikulateCore_SRCS
    core/course.cpp
    core/resourcemanager.cpp
    core/language.cpp
    core/phrase.cpp
    core/phoneme.cpp
    core/phonemegroup.cpp
    core/unit.cpp
    core/skeleton.cpp
    core/editorsession.cpp
    core/trainingsession.cpp
    core/resources/resourceinterface.cpp
    core/resources/languageresource.cpp
    core/resources/courseresource.cpp
    core/resources/skeletonresource.cpp
    core/player.cpp
    core/recorder.cpp
    ui/newcoursedialog.cpp
    artikulate_debug.cpp
)

# compile UI files
ki18n_wrap_ui(artikulateCore_SRCS
    ui/newcoursedialog.ui
)
kconfig_add_kcfg_files (artikulateCore_SRCS settings.kcfgc)
add_library(artikulatecore SHARED ${artikulateCore_SRCS})
generate_export_header(artikulatecore BASE_NAME artikulatecore)
target_link_libraries(artikulatecore
    LINK_PUBLIC
        artikulatelearnerprofile
        artikulatesound
        Qt5::XmlPatterns
        KF5::ConfigGui
        KF5::WidgetsAddons
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatecore PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)
install(
    TARGETS artikulatecore
    DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS}
)
install(FILES artikulate.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR})

# set the source code files from which Artikulate is compiled
set(artikulate_SRCS
    main.cpp
    mainwindow.cpp
    application.cpp
    artikulate_debug.cpp

    models/coursemodel.cpp
    models/coursefiltermodel.cpp
    models/languagemodel.cpp
    models/languageresourcemodel.cpp
#     models/learningprogressmodel.cpp //TODO must be adapted to new trainingsession
    models/unitmodel.cpp
    models/unitfiltermodel.cpp
    models/phrasemodel.cpp
    models/phraselistmodel.cpp
    models/phrasefiltermodel.cpp
    models/phonememodel.cpp
    models/phonemegroupmodel.cpp
    models/phonemeunitmodel.cpp
    models/profilemodel.cpp
    models/skeletonmodel.cpp

    ui/sounddevicedialogpage.cpp
    ui/appearencedialogpage.cpp
    ui/resourcesdialogpage.cpp
)
ki18n_wrap_ui (artikulate_SRCS
    ui/resourcesdialogpage.ui
    ui/sounddevicedialogpage.ui
    ui/appearencedialogpage.ui
)
kconfig_add_kcfg_files (artikulate_SRCS settings.kcfgc)

set(artikulate_editor_SRCS
    main_editor.cpp
    mainwindow_editor.cpp
    application.cpp
    artikulate_debug.cpp

    models/coursemodel.cpp
    models/coursefiltermodel.cpp
    models/languagemodel.cpp
    models/languageresourcemodel.cpp
#     models/learningprogressmodel.cpp //TODO must be adapted to new trainingsession
    models/unitmodel.cpp
    models/unitfiltermodel.cpp
    models/phrasemodel.cpp
    models/phraselistmodel.cpp
    models/phrasefiltermodel.cpp
    models/phonememodel.cpp
    models/phonemegroupmodel.cpp
    models/phonemeunitmodel.cpp
    models/profilemodel.cpp
    models/skeletonmodel.cpp

    ui/sounddevicedialogpage.cpp
    ui/appearencedialogpage.cpp
    ui/resourcesdialogpage.cpp
)
ki18n_wrap_ui (artikulate_editor_SRCS
    ui/resourcesdialogpage.ui
    ui/sounddevicedialogpage.ui
    ui/appearencedialogpage.ui
)
kconfig_add_kcfg_files (artikulate_editor_SRCS settings.kcfgc)

# executables
add_executable(artikulate ${artikulate_SRCS})
target_link_libraries(artikulate
    LINK_PUBLIC
        artikulatelearnerprofile
        artikulatesound
        artikulatecore
        Qt5::Qml
        Qt5::Quick
        KF5::ConfigWidgets
        KF5::Crash
        KF5::Declarative
        KF5::NewStuff
        KF5::XmlGui
)

qt5_add_resources(artikulate_editor_SRCS editor.qrc)
add_executable(artikulate_editor ${artikulate_editor_SRCS})
target_link_libraries(artikulate_editor
    LINK_PUBLIC
        artikulatesound
        artikulatecore
        Qt5::Qml
        Qt5::Quick
        Qt5::QuickWidgets
        KF5::ConfigWidgets
        KF5::Crash
        KF5::Declarative
        KF5::NewStuff
        KF5::XmlGui
)

install(FILES artikulate.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(TARGETS artikulate ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS artikulate_editor ${INSTALL_TARGETS_DEFAULT_ARGS})

=== liblearnerprofile/src/CMakeLists.txt ===
--- 
+++ 
@@ -28,20 +28,26 @@
     learninggoal.cpp
     profilemanager.cpp
     storage.cpp
-
     models/learninggoalmodel.cpp
+    liblearner_debug.cpp
 )
 
-kde4_add_library(artikulatelearnerprofile SHARED ${learnerprofile_LIB_SRCS})
+add_library(artikulatelearnerprofile SHARED ${learnerprofile_LIB_SRCS})
+generate_export_header(artikulatelearnerprofile BASE_NAME liblearnerprofile)
 
 target_link_libraries(
     artikulatelearnerprofile
-    LINK_PRIVATE
-        ${KDE4_KDECORE_LIBS}
-        ${KDE4_KFILE_LIBS}
-        ${QT_QTSQL_LIBRARY}
+    LINK_PUBLIC
+        Qt5::Core
+        Qt5::Gui
+        Qt5::Sql
+        Qt5::Widgets
+        KF5::ConfigCore
+        KF5::I18n
 )
-
+# internal library without any API or ABI guarantee
+set(GENERIC_LIB_VERSION "0")
+set(GENERIC_LIB_SOVERSION "0")
 set_target_properties(
     artikulatelearnerprofile
     PROPERTIES

=== libsound/src/CMakeLists.txt ===
###
# Copyright 2014  Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
# IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
# NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
###

find_package(Qt5GStreamer 1.2.0 REQUIRED)

# enable exceptions for this library
kde_enable_exceptions()

include_directories(
    ${QTGSTREAMER_INCLUDE_DIR}
)

set(sound_LIB_SRCS
    capturedevicecontroller.cpp
    outputdevicecontroller.cpp
    qtgstreamercapturebackend.cpp
    qtgstreameroutputbackend.cpp
    libsound_debug.cpp
)

add_library(artikulatesound SHARED ${sound_LIB_SRCS})
generate_export_header(artikulatesound BASE_NAME libsound)

target_link_libraries(
    artikulatesound
    LINK_PUBLIC
        ${QTGLIB_LIBRARIES}
        ${QTGLIB_LIBRARY}
        ${QTGSTREAMER_LIBRARIES}
        KF5::I18n
)
# internal library without any API or ABI guarantee
set(GENERIC_LIB_VERSION "0")
set(GENERIC_LIB_SOVERSION "0")
set_target_properties(
    artikulatesound PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
)

install(
    TARGETS artikulatesound
    ${INSTALL_TARGETS_DEFAULT_ARGS}
)

=== src/qml/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ###
-#  Copyright 2013  Andreas Cord-Landwehr <cordlandwehr@kde.org>
+#  Copyright 2013-2015  Andreas Cord-Landwehr <cordlandwehr@kde.org>
 #
 #  Redistribution and use in source and binary forms, with or without
 #  modification, are permitted provided that the following conditions
@@ -25,23 +25,18 @@
 
 set(artikulate_qml_files
     Main.qml
-    Editor.qml
-    Trainer.qml
-
-    TrainerOverviewScreen.qml
-    TrainerCourse.qml
+ 
     TrainerSessionScreen.qml
     TrainerProgressBar.qml
     TrainerCourseStatistics.qml
 
-    EditorSelector.qml
-
-    CourseSelector.qml
+    Editor.qml
     CourseSwitcher.qml
-    LanguageSelector.qml
     LanguageSwitcher.qml
-    UnitSelector.qml
-    UnitEditor.qml
+    FlatButton.qml
+    MainMenuBar.qml
+    MainToolBar.qml
+    NewUserWelcome.qml
     PhraseEditor.qml
     PhraseEditorSoundComponent.qml
     PhraseEditorTypeComponent.qml
@@ -51,9 +46,9 @@
     ProfileDetailsViewUser.qml
     ProfileDetailsViewFavorites.qml
     ProfileSelector.qml
-    SkeletonSelector.qml
     SoundPlayer.qml
     SoundRecorder.qml
+    UnitEditor.qml
 
     CheckListItem.qml
     ListItem.qml

=== debian/changelog ===
artikulate (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * This application is now kf5 adding stable/unstable branches. 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 14:48:29 -0700

artikulate (4:15.12.1-0ubuntu2) xenial; urgency=medium

  [ Pino Toscano ]
  * Remove unused libqtmultimediakit1 and qtmobility-dev build dependencies.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 10 Mar 2016 09:32:36 +0100

artikulate (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Adding new build dependencies
  * Disabled autotests completely due to problems upstream
  * Fixed the install file
  * Adding W: artikulate: package-name-doesnt-match-sonames 
    libartikulatecore0 libartikulatelearnerprofile0 libartikulatesound0
    to lintian-errors file

  [ Philip Muškovac ]
  * Update qml depends for the qt5 release

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 10:21:06 +0100

artikulate (4:15.08.3-1) experimental; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:38:42 +0100

artikulate (4:15.08.0-1) experimental; urgency=medium

  * New upstream release (15.04.0).
  * New upstream release (15.04.1).
  * New upstream release (15.04.2).

  [ Pino Toscano ]
  * Remove unused libqtmultimediakit1 and qtmobility-dev build dependencies.

  [ Maximiliano Curia ]
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:13:46 +0200

artikulate (4:14.12.3-1) experimental; urgency=medium

  * New upstream release (14.12.3).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:19 +0200

artikulate (4:14.12.2-1) experimental; urgency=medium

  [ Scarlett Clark ]
  * Add back in kdelibs5 parent version depend.
  * kdelibs is actually in the 4.14 series. Adjust version.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 15:03:35 +0100

=== debian/control ===
Source: artikulate
Section: education
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdoctools-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5crash-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5newstuff-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5gstreamer-dev,
               libqt5xmlpatterns5-dev,
               pkg-kde-tools,
               qtbase5-dev,
               pkg-kde-tools,
Standards-Version: 3.9.6
Homepage: https://edu.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/artikulate.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/artikulate.git

Package: artikulate
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-org-kde-kquickcontrolsaddons,
Description: Language learning application
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages. This is included in the
 KDE Education project.
 .
 This package contains the main application for Artikulate.

Package: artikulate-dbg
Section: debug
Architecture: any
Depends: artikulate, ${misc:Depends}
Description: Debugging symbols for Artikulate
 Artikulate is a language learning application that helps improving
 pronunciation skills for various languages.This is included in the
 KDE Education project.
 .
 This package contains the debugging symbols for Artikulate.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=artikulate-dbg

override_dh_auto_test:
	:
	# Tests disabled as they don't work
